# name: pam_mount_desktop
# desc: set up pam_mount for destop environment
# auth: Kai Burghardt <wiz at KaiBurghardt.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent:

class pam_mount_desktop {
	pam_mount::volume {
		default:
			user                          => '*',
			fstype                        => 'cifs',
			options                       => ['sec=ntlm', 'nodev', 'nosuid'],
			server                        => '10.11.100.101',
		;
		'home':
			path                          => '%(DOMAIN_USER)',
			mountpoint                    => '/home/%(DOMAIN_USER)/',
		;
		'media':
			sgrp                          => 'domain users',
			path                          => 'media',
			mountpoint                    => '/home/%(DOMAIN_USER)/SRV/media/'
		;
	}
	
	class { 'pam_mount':
		pam_mount_logout_wait         => 0,
		pam_mount_logout_hup          => false,
		pam_mount_logout_term         => false,
		pam_mount_logout_kill         => false,
		pam_mount_mntoptions_allow    => [
				'nosuid',
				'nodev',
				'loop',
				'encryption',
				'fsck',
				'nonempty',
				'allow_root',
				'allow_other',
			],
		pam_mount_mntoptions_require  => [
				'nosuid',
				'nodev',
			],
		pam_mount_mkmountpoint_enable => true,
		pam_mount_mkmountpoint_remove => true,
		volume_definitions            => [
				Pam_mount::Volume['home'],
				Pam_mount::Volume['media'],
			],
	}
}
# EOF
