# name: configure pam_mount
# desc: configuration manifest for pam_mount module
# auth: Kai Burghardt <wiz at KaiBurghardt.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent:

class pam_mount::config {
	# lint:ignore:only_variable_string
	if ("${pam_mount::pam_mount_package_version}" !~ /^(absent|purged)$/) {
	# lint:endignore
		file { 'pam_mount.conf.xml':
			ensure                        => file,
			path                          => $pam_mount::pam_mount_conf_path,
			mode                          => $pam_mount::pam_mount_conf_mode,
			owner                         => $pam_mount::pam_mount_conf_owner,
			group                         => $pam_mount::pam_mount_conf_group,
			content                       => template($pam_mount::pam_mount_conf_template),
			validate_cmd                  => $pam_mount::pam_mount_conf_validate_cmd,
		}
	}
}
# EOF
