# name: pam_mount
# desc: init manifest for pam_mount module
# auth: Kai Burghardt <wiz at KaiBurghardt.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent:


# {include:file:yrd/init.yrd}
class pam_mount (
	Optional[String[1]]           $pam_mount_package_name        = $pam_mount::params::pam_mount_package_name,
	String[1]                     $pam_mount_package_version     = $pam_mount::params::pam_mount_package_version,
	String[1]                     $pam_mount_conf_path           = $pam_mount::params::pam_mount_conf_path,
	Optional[String]              $pam_mount_conf_mode           = $pam_mount::params::pam_mount_conf_mode,
	Variant[String, Integer[0], Undef]
	                              $pam_mount_conf_owner          = $pam_mount::params::pam_mount_conf_owner,
	Variant[String, Integer[0], Undef]
	                              $pam_mount_conf_group          = $pam_mount::params::pam_mount_conf_group,
	String                        $pam_mount_conf_template       = $pam_mount::params::pam_mount_conf_template,
	Optional[String]              $pam_mount_conf_validate_cmd   = $pam_mount::params::pam_mount_conf_validate_cmd,
	Boolean                       $pam_mount_commentary_track    = true,
	
	Optional[Integer[0,2]]        $pam_mount_debug_enable        = undef,
	Optional[Integer]             $pam_mount_logout_wait         = undef,
	Optional[Boolean]             $pam_mount_logout_hup          = undef,
	Optional[Boolean]             $pam_mount_logout_term         = undef,
	Optional[Boolean]             $pam_mount_logout_kill         = undef,
	Optional[String]              $pam_mount_luserconf_name      = undef,
	Optional[Array[String]]       $pam_mount_mntoptions_allow    = undef,
	Optional[Array[String]]       $pam_mount_mntoptions_deny     = undef,
	Optional[Array[String]]       $pam_mount_mntoptions_require  = undef,
	Optional[Array[Pattern[/^[^ \t\r\n"':]+$/]]]
	                              $pam_mount_path                = undef,
	Optional[String]              $pam_mount_fd0ssh              = undef,
	Optional[String]              $pam_mount_lclmount            = undef,
	Optional[String]              $pam_mount_umount              = undef,
	Optional[String]              $pam_mount_cifsmount           = undef,
	Optional[String]              $pam_mount_cryptmount          = undef,
	Optional[String]              $pam_mount_cryptumount         = undef,
	Optional[String]              $pam_mount_fusemount           = undef,
	Optional[String]              $pam_mount_fuseumount          = undef,
	Optional[String]              $pam_mount_ncpmount            = undef,
	Optional[String]              $pam_mount_ncpumount           = undef,
	Optional[String]              $pam_mount_nfsmount            = undef,
	Optional[String]              $pam_mount_smbmount            = undef,
	Optional[String]              $pam_mount_smbumount           = undef,
	Optional[String]              $pam_mount_msg_authpw          = undef,
	Optional[String]              $pam_mount_msg_sessionpw       = undef,
	Optional[Boolean]             $pam_mount_mkmountpoint_enable = undef,
	Optional[Boolean]             $pam_mount_mkmountpoint_remove = undef,
	Optional[String]              $pam_mount_fsck                = undef,
	Optional[String]              $pam_mount_ofl                 = undef,
	Optional[String]              $pam_mount_pmvarrun            = undef,
	
	# we have to ensure, volume definitions appear in the right order -> array
	Optional[Array[Type[Resource['pam_mount::volume']], 1]]
	                              $volume_definitions = undef,
) inherits pam_mount::params {
	Class['pam_mount::install'] -> Class['pam_mount::config']
	contain 'pam_mount::install'
	contain 'pam_mount::config'
}
# EOF
